<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWPF>true</UseWPF>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <ApplicationIcon>hbl.ico</ApplicationIcon>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="hbl.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="BPA.Message" Version="1.0.45" />
    <PackageReference Include="Microsoft.Toolkit.Mvvm" Version="7.1.2" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\BPASmartClient.CustomResource\BPASmartClient.CustomResource.csproj" />
    <ProjectReference Include="..\BPASmartClient.Modbus\BPASmartClient.Modbus.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Page Update="View\AdminstratorsView.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
    </Page>
  </ItemGroup>

</Project>
